#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 library for interaction with XML RPC services
Name:           kxmlrpcclient
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kdoctools-devel >= %version

BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version


BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
KDE Frameworks 5 Tier 3 library for interaction with XML RPC services.

#--------------------------------------------------------------------

%define kf5xmlrpmclient_major 5
%define libkf5xmlrpmclient %mklibname kf5xmlrpmclient %{kf5xmlrpmclient_major}

%package -n %libkf5xmlrpmclient
Summary:      KDE Frameworks 5 Tier 3 library for interaction with XML RPC services
Group:        System/Libraries

%description -n %libkf5xmlrpmclient
KDE Frameworks 5 Tier 3 library for interaction with XML RPC services.

%files -n %libkf5xmlrpmclient -f %name.lang
%_kf5_libdir/libKF5XmlRpcClient.so.%{kf5xmlrpmclient_major}*

#--------------------------------------------------------------------

%define kf5xmlrpmclient_devel %mklibname kf5xmlrpmclient -d

%package -n %kf5xmlrpmclient_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5xmlrpmclient = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5xmlrpmclient_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5xmlrpmclient_devel
%_kf5_includedir/KXmlRpcClient
%_kf5_includedir/kxmlrpcclient_version.h
%_kf5_libdir/cmake/KF5XmlRpcClient
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/qt_KXmlRpcClient.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build

%find_lang %name --all-name


%changelog
* Thu Feb 01 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1198394
- New version 5.42

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089407
- Rebuild for armv5

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089000
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074572
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072236
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058391
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050568
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045146
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041368
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021966
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014376
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999665
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986358
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942284
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921311
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913122
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909899
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900492
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899438
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898955
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888195
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881419
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862980
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862610
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853825
- New version 5.12.0

* Sat Jul 04 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849857
- imported package kxmlrpcclient

